summaryrefslogtreecommitdiffstats
path: root/util/bin/google.text2speech
diff options
context:
space:
mode:
Diffstat (limited to 'util/bin/google.text2speech')
-rwxr-xr-xutil/bin/google.text2speech24
1 files changed, 24 insertions, 0 deletions
diff --git a/util/bin/google.text2speech b/util/bin/google.text2speech
new file mode 100755
index 00000000..061bb1c8
--- /dev/null
+++ b/util/bin/google.text2speech
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -euf
+
+TL=${TL:="en"}
+
+usage(){
+ echo 'TL= can specifiy which language to use, default is "en"'
+ echo 'Example: TL="de" ./text2speech.google "whats up?" | mpv -'
+ exit 0
+}
+
+text2speech(){
+ text=$*
+ url="http://translate.google.com/translate_tts?ie=UTF-8&tl=$TL"
+
+ curl -A "Mozilla/5.0" -Ss "$url" --data-urlencode "q=$text"
+}
+
+if [ $# -eq 0 ]; then
+ usage
+fi
+
+text2speech $*
+